Machinist adapters for MongoDB ORMs.
Ruby
Pull request Compare This branch is 23 commits ahead of plusplus:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
lib/machinist
spec
.gitignore
Gemfile
LICENSE
README.textile
Rakefile
VERSION
machinist_mongo.gemspec

README.textile

Machinist Mongo

Currently provides Machinist adapters for MongoMapper and Mongoid.

Usage

Using Machinist MongoMapper. Put this in your Gemfile:

gem 'machinist_mongo'  :git => "git://github.com/polar/machinist_mongo.git"

And run:

bundle install

Or — if you’re using Rails 2.x — put this in config/environment.rb:

config.gem 'machinist_mongo', :git => "git://github.com/polar/machinist_mongo.git"

And run:

rake gems:install

Create your spec/blueprints.rb or test/blueprints.rb file as you normally would, only using Mongoid or MongoMapper instead of ActiveRecord:
You must require your intended adapter.

require 'machinist/mongo_mapper'

or

bc require ‘machinist/mongoid’

Also, require your blueprints.rb files in your spec_helper (or test_helper) or spec files.

Be sure read Machinist’s README to find out how to create your objects and get this thing running.

Contributors